Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: cca0.5
Description

    -  Probably calls for a new data type (rst beat)
    -  Export virtual time in component API

Associated revisions
Revision 776 - 10/08/2014 05:58 PM - anordman

Beat and components got support for virtual (e.g. simulation) time

    -  Adds Tick data type, that is now sent by an external beat (superseeding the string hack)
        -  Contains sequence number, timestamps and timesteps (real time and optionally virtual time)
    -  Adds heartbeat concept, sending ticks to components locally or remotely (or both)
    -  Components provide API to access (amongst others)
        -  Global circuit sequence number
        -  Global circuit real time (of the beat provider)
        -  Global circuit virtual (e.g. simulation) time
    -  Added examples for local and remote beat, using the added features

fixes #2046

Revision 783 - 04/08/2015 11:20 AM - anordman

Some fixes with cca beat

    -  Fixed type of component beat input port
    -  Tick now with print method
    -  Adapted beat provider tests accordingly

refs #2046

History
#1 - 10/08/2014 05:58 PM - Anonymous
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset cca|r776.
